---
layout: handbook-page-toc
title: "Design collaborator's playbook"
description: "This page acts as a quick reference of mental models for sync and async collaboration."
---

## On this page
{:.no_toc .hidden-md .hidden-lg}

- TOC
{:toc .hidden-md .hidden-lg}

## Intro

**What's it for?**
This page acts as a quick reference of mental models for sync and async collaboration. Its purpose is to create a common language for collaboration between designers, GitLab team members and the broader GitLab community. It should be used to understand and label patterns in collaboration, pain points, where we get stuck and how to get unstuck. It is not our [design workflow](/handbook/engineering/ux/product-designer/).

**Why is this important?**
[Collaboration](/handbook/values/#collaboration) is one of GitLab's key values. At GitLab, we believe that everyone is a designer and everyone can contribute. This means the UX department is a [humble facilitator of design](/handbook/engineering/ux/#were-humble-facilitators-of-user-experience-design). The design team can support collaboration across GitLab (and our broader community) by leveraging and sharing the mindsets, methods and tools of [design thinking](https://en.wikipedia.org/wiki/Design_thinking). 

## Mental models

### 2 steps forward, 1 step back design

At GitLab we ship using the [Minimal Viable Change](/handbook/product/product-principles/#the-minimal-viable-change-mvc) (MVC). Designing in this context can often be confusing for newcomers because it's important to consider the big picture as well as the steps for how we get there. To deal with this dichotomy, we design by initially thinking about the mid to long-term vision and then reducing the scope of the experience (in a lovable way) to make implementation quicker. In other words, we design by taking 2 steps forward and 1 step back. 

**Actions**
- Use this model with your team to break a vision down into a series of small (MVC) issues

### Divergent & convergent thinking

From a young age we are often trained to jump to solutions as quickly as possible. This prevents us from taking the time to explore fully all our options. We can overcome this challenge by understanding and leveraging divergent and convergent thinking. These are two of the foundational modes of creative problem-solving:
- Divergent thinking (go broad): Generating lots of different ideas and exploring options without too many constraints in place.
- Convergent thinking (focus in): Reflecting on your options and ideas, combining them together in unique ways, analysing them, and converging on a solution (with constaints in mind).

![img](https://pbs.twimg.com/media/Bmn3FOVCQAAt_r7.jpg)

**Actions**
- [Watch short video](https://www.youtube.com/watch?v=xjE2RV6IQzo)
- Discuss with your team whether it is time for diverging or converging
- Leverage a synchronous [collaborative cycle](https://play.vidyard.com/riqHqfWV8XFpXM9c1vYEEG)
- Summarise text in a divergent thread and ask to converge on a solution ([example](https://gitlab.com/gitlab-org/gitlab-design/-/issues/817#note_335745932))

### Ladder of abstraction

We can't design in isolation. All the decisions we make are in the context of a broader system. We must zoom in and out between the system and its component parts to do our best work. Unfortunately, humans can only hold 5 (plus/minus 2) pieces of information in working memory at any one time (see [cognitive load](https://www.mindtools.com/pages/article/cognitive-load-theory.htm), [Miller's Law](https://lawsofux.com/millers-law)). Therefore, we need to think at different levels of abstraction to manage this limitation. The ladder of abstraction is a useful mental model to recognise what level of abstraction you are currently working in. You can move up the ladder (more abstract) by asking "why?" or "what does that mean?". You can move down the ladder by asking "how does that work?" or "can you give me an example?".

**Example:**
- Very abstract: *"This is how I commute to work"*
- Moderately abstract: *"This is my personal transportation device"*
- Concrete: *"This is a bicycle"*

![img](https://miro.medium.com/max/1024/0*Z4Xl09fXVXepGCGD.png)

**Actions**
- Read "[Up and Down the Ladder of Abstraction](https://medium.com/@tombarrett/up-and-down-the-ladder-of-abstraction-cb73533be751)"
- Use the "[5 Whys exercise](https://toolbox.hyperisland.com/the-5-whys)" to move up the ladder of abstraction
- Use sketches and prototypes  to move down the ladder of abstraction

## Resources

- [Salesforce Workdifferently](https://www.salesforce.com/workdifferently/)
- [Salesforce Workdifferently: An Introduction To The 6 Principles To Work Differently (video)](https://www.salesforce.com/video/3642076/)
- [IBM enterprise design thinking](https://www.ibm.com/design/thinking/)

